Subject: Re: bug#57807: 29.0.50; Make vc-print-branch-log able to log multiple branches

From: Sean Whitton <[email-masked]>
Date: Sat, 24 Sep 2022 12:20:50 -0700

Hello,

On Fri 23 Sep 2022 at 09:42AM +03, Juri Linkov wrote:

>>>> That seems alright.  Maybe we could use some symbol, e.g. '$' or '#',
>>>> instead of a letter 'c', to distinguish its special status.
>>>
>>> I see that 'c' might clash with a possible future command.
>>> For example, git has a lot of commands whose names start
>>> with the letter 'c': checkout, cherry-pick, clone, commit, ...
>>> So the probability of the need to use 'c' is high.
>>>
>>> OTOH, what key would keep the mnemonic of a prefix arg?
>>> Maybe 'C-x v C-u'?
>>
>> Might be confusing if you need to do C-u C-x v C-u C-x v b l ...
>>
>> '$' and '!' have shell command mnemonics.
>
> I didn't recognize '$' and '#' as shell-related symbols here
> because in Emacs they have another semantics: e.g.
> 'C-x #' is 'server-edit', 'M-$' is ispell-checking, etc.
>
> But 'M-!' has a clear connection with editing a shell command.  So
> 'C-x v !' looks like the best candidate among all considered so far.

I'm running into the problem that you pointed out in another thread.
How do we apply vc-filter-command-function to the final VC command
that's to be run without also applying it to intermediate VC commands,
e.g. in vc-read-revision?

-- 
Sean Whitton